Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228033 - internal compiler error: in dominated_by_p, at dominance.c:827
Summary: internal compiler error: in dominated_by_p, at dominance.c:827
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc4
Version: 5
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-09 17:26 UTC by Michele Mazza
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: gcc-4.1.1-51.fc5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-13 05:53:32 UTC


Attachments (Terms of Use)
Preprocessed source (deleted)
2007-02-09 17:29 UTC, Michele Mazza
no flags Details

Description Michele Mazza 2007-02-09 17:26:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 1.1.4322)

Description of problem:
fmrBasketPricer.c: In member function âvirtual err_t FMR4000::Finance::Visitors::Montecarlo::calculate(const FMR4000::Finance::Instrument*)â:
fmrBasketPricer.c:26: internal compiler error: in dominated_by_p, at dominance.c:827
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccr13IAy.out file, please attach this to your bugreport.


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
compiling my source code

Actual Results:


Expected Results:


Additional info:

Comment 1 Michele Mazza 2007-02-09 17:29:11 UTC
Created attachment 147787 [details]
Preprocessed source

Comment 2 Michele Mazza 2007-02-09 17:38:01 UTC
/home/FMRCONS/mmazza/MANUAL > uname -a
Linux rms.sede.fmrcons.com 2.6.18-1.2869.fc6xen #1 SMP Wed Dec 20 15:28:06 EST 
2006 i686 i686 i386 GNU/Linux

/home/FMRCONS/mmazza/MANUAL >
/home/FMRCONS/mmazza/MANUAL >
/home/FMRCONS/mmazza/MANUAL > gcc -v
Using built-in specs.
Target: i386-redhat-linux
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --
infodir=/usr/share/info --enable-shared --enable-threads=posix --enable-
checking=release --with-system-zlib --enable-__cxa_atexit --disable-libunwind-
exceptions --enable-libgcj-multifile --enable-languages=c,c++,objc,obj-
c++,java,fortran,ada --enable-java-awt=gtk --disable-dssi --enable-plugin --
with-java-home=/usr/lib/jvm/java-1.4.2-gcj-1.4.2.0/jre --with-cpu=generic --
host=i386-redhat-linux
Thread model: posix
gcc version 4.1.1 20061011 (Red Hat 4.1.1-30)


Comment 3 Alexandre Oliva 2007-02-13 05:53:32 UTC
This is already fixed in the latest gcc update for FC5, gcc-4.1.1-51.fc5.


Note You need to log in before you can comment on or make changes to this bug.